app.controller('DungeonCtrl', ['$scope', 'Dungeon', 'Player', 'Battle', 'Modal',
    function ($scope, Dungeon, Player, Battle, Modal) {
        $scope.fight = function () {
            Battle.start(Player.get().dungeonMonster, Player.getCharacters());
            if (Battle.getMonster().name_id == 'dungeon_monster') $scope.showModal();
        };
        $scope.showModal = function () {
            Modal.open('partials/modal/battle.html', $scope).then(
                function (modal) {
                    Battle.setModal(modal);
                    $scope.modalBattle = modal;
                    $scope.modalBattle.show();
                }
            );
        };
        $scope.battle = Battle;
    }]);