app.controller('InventoryCtrl', ['$scope', '$rootScope', 'Items', 'Player',
    function ($scope, $rootScope, Items, Player) {
        $scope.items = Items.get();
        $scope.choosed = Player.getSelected();

        $scope.getSellCost = Player.getSellCost;
        $scope.isEnchantable = Player.isEnchantable;
        $scope.playerF = Player;

        $scope.getItemDefence = Player.getItemDefence;
        $scope.getItemAttack = Player.getItemAttack;

        $scope.getRows = function (n) {
            var row = [];
            for (var i = 0; i < 80; i += n) row.push(i)
            return row;
        };


        $scope.getCols = function () {
            if ($rootScope.isIPad) {
                return 8
            } else return 4

        };
    }
]);