app.controller('ShopCtrl', ['$rootScope', '$scope', 'Items', 'Player', '$ionicLoading', '$timeout', '$ionicScrollDelegate', '$document',
    function ($rootScope, $scope, Items, Player, $ionicLoading, $timeout, $ionicScrollDelegate, $document) {

        $scope.getArmors = function () {
            $scope.itemsList = angular.copy(Items.getArmors());
            $scope.sort = 'cost';
            $scope.donate = false;
        };

        $scope.getWeapons = function () {
            $scope.itemsList = angular.copy(Items.getWeapons());
            $scope.sort = 'cost';
            $scope.donate = false;
        };

        $scope.getOthers = function () {

            $scope.itemsList = angular.copy(Items.getOthers());
            $scope.sort = '-cost';
            $scope.donate = false;
        };

        $scope.getEnchants = function () {

            $scope.itemsList = angular.copy(Items.getEnchants());
            $scope.sort = 'cost';
            $scope.donate = false;
        };

        $scope.getDonate = function () {
            $scope.donate = true;
        };

        $scope.getWeapons();

        var buyTime;
        $scope.buy = function (id) {
            /*
             if (window.device && window.storekit) {
             if ((!buyTime) || (((new Date()).getTime() - buyTime) > 3000)) {
             storekit.purchase(id);
             buyTime = (new Date()).getTime()
             }
             }
             */
            store.order(id)
        };

        $scope.getPrice = function (id) {
            //console.log(store.get(id));
            return store.get(id).price;
            /*for (var i = 0; i < $rootScope.products.length; i++) {
                if ($rootScope.products[i].id == id) return $rootScope.products[i].price;
            }*/
        };

        $scope.getCommercial = function () {
            if ((window.device) && window.storekit) {
                function callback() {
                    Player.addCrystals(1);
                }

                //Chartboost.showRewardedVideo(callback);
            }
        };

        var lastBuy, clicksNum = 0;

        $scope.buyItem = function (id, num, multi) {
            Player.buyItem(id, num);
            if (multi) {
                if (lastBuy == id) clicksNum++;
                else clicksNum = 0;
                lastBuy = id;

                $timeout(function () {
                    clicksNum--;
                }, 3000)
            }
        };

        $scope.getLastBuy = function () {
            return {
                id: lastBuy,
                num: clicksNum
            }
        };

        $scope.sort = 'cost';

        $scope.donates = [
            {
                icon: 'Gem01.png',
                id: 'a_heroes_sim_100',
                amount: 100
            },
            {
                icon: 'Gem02.png',
                id: 'heroes_sim_250',
                amount: 250
            },
            {
                icon: 'Gem03.png',
                id: 'heroes_sim_400',
                amount: 400
            },
            {
                icon: 'Gem04.png',
                id: 'heroes_sim_700',
                amount: 700
            },
            {
                icon: 'Gem05.png',
                id: 'heroes_sim_1000',
                amount: 1000
            },
            {
                icon: 'Gem06.png',
                id: 'heroes_sim_1800',
                amount: 1800
            },
            {
                icon: 'Gem07.png',
                id: 'heroes_sim_3500',
                amount: 3500
            },
            {
                icon: 'Gem08.png',
                id: 'heroes_sim_6000',
                amount: 6000
            },
            {
                icon: 'Gem09.png',
                id: 'heroes_sim_12500',
                amount: 12500
            },
            {
                icon: 'Gem10.png',
                id: 'heroes_sim_40000',
                amount: 40000
            }
        ]
    }
]);