app.directive('fadeIn', function ($timeout, $document, $ionicScrollDelegate) {
    return {
        restrict: 'A',
        link: function ($scope, $element, attrs) {
            $element[0].src = attrs.lbSrc;
            var longLoad = false;
            $timeout(function () {
                if (!longLoad) $element.addClass("ng-hide-remove");
                longLoad = true;
            }, 0);

            $element.on('load', function () {
                if (longLoad) $element.addClass("ng-hide-add");
                longLoad = true;
            });
        }
    }
});