app.controller('MainCtrl', ['$rootScope', '$scope', 'Player', 'Characters', 'Balance', 'Utils', 'Skills', 'Languages', 'Items', 'Monsters', 'Battle', '$interval', '$ionicScrollDelegate', '$ionicPlatform', '$ionicLoading', '$timeout', 'Dungeon',
    function ($rootScope, $scope, Player, Characters, Balance, Utils, Skills, Languages, Items, Monsters, Battle, $interval, $ionicScrollDelegate, $ionicPlatform, $ionicLoading, $timeout, Dungeon) {
        ///
        Player.init();
        ///
        //
        // console.log('test3');

        $ionicPlatform.ready(function () {
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }

            $scope.l = 'eng';

            //ios
            if (navigator.globalization) navigator.globalization.getPreferredLanguage(function (language) {
                if (language.value.indexOf('ru') != -1) {
                    $scope.l = 'ru';
                }
            });

            //android
            if(navigator.language) {
                if((navigator.language.indexOf('ru') != -1)){
                    $scope.l = 'ru';
                }
            }

            $rootScope.isIPad = $ionicPlatform.is('iPad');


            //Chartboost.init('5537d5a243150f5f1d8007d5', '6e13def01612c754fef4a26fa271f1153bf62117');

            $rootScope.adsAvailable = false;

            store.verbosity = store.DEBUG;

            store.register({
                id:    "a_heroes_sim_100",
                alias: "a_heroes_sim_100",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_250",
                alias: "heroes_sim_250",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_400",
                alias: "heroes_sim_400",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_700",
                alias: "heroes_sim_700",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_1000",
                alias: "heroes_sim_1000",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_1800",
                alias: "heroes_sim_1800",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_3500",
                alias: "heroes_sim_3500",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_6000",
                alias: "heroes_sim_6000",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_12500",
                alias: "heroes_sim_12500",
                type:  store.CONSUMABLE
            });
            store.register({
                id:    "heroes_sim_40000",
                alias: "heroes_sim_40000",
                type:  store.CONSUMABLE
            });

            store.when("a_heroes_sim_100").approved(function (order) {
                Player.addCrystals(100);
                order.finish();
            });
            store.when("heroes_sim_250").approved(function (order) {
                Player.addCrystals(250);
                order.finish();
            });
            store.when("heroes_sim_400").approved(function (order) {
                Player.addCrystals(400);
                order.finish();
            });
            store.when("heroes_sim_700").approved(function (order) {
                Player.addCrystals(700);
                order.finish();
            });
            store.when("heroes_sim_1000").approved(function (order) {
                Player.addCrystals(1000);
                order.finish();
            });
            store.when("heroes_sim_1800").approved(function (order) {
                Player.addCrystals(1800);
                order.finish();
            });
            store.when("heroes_sim_3500").approved(function (order) {
                Player.addCrystals(3500);
                order.finish();
            });
            store.when("heroes_sim_6000").approved(function (order) {
                Player.addCrystals(6000);
                order.finish();
            });
            store.when("heroes_sim_12500").approved(function (order) {
                Player.addCrystals(12500);
                order.finish();
            });
            store.when("heroes_sim_40000").approved(function (order) {
                Player.addCrystals(40000);
                order.finish();
            });


            store.ready(function() {
                console.log("\\o/ STORE READY \\o/");
            });
            store.refresh();


            /*
            var pref = '';
            if ($ionicPlatform.is('Android')) pref =+ 'a_';
            if (window.cordova) storekit.init({
                debug: false,
                ready: function () {
                    storekit.load([pref + "heroes_sim_100",
                            "heroes_sim_250", "heroes_sim_400",
                            "heroes_sim_700", "heroes_sim_1000",
                            "heroes_sim_1800", "heroes_sim_3500",
                            "heroes_sim_6000", "heroes_sim_12500", "heroes_sim_40000"],
                        function (products, invalidIds) {
                            $rootScope.products = products;
                        });
                },
                purchase: function (transactionId, productId, receipt) {
                    Player.addCrystals(parseInt(productId.replace(/\D+/g, ""), 10));
                },
                restore: function (transactionId, productId, transactionReceipt) {

                },
                error: function (errorCode, errorMessage) {

                }
            });

            */
            /*
            $rootScope.analytics = navigator.analytics;
            if ($rootScope.analytics) {
                $rootScope.analytics.setTrackingId('UA-59790049-1');
                $rootScope.analytics.sendAppView('home');
                $rootScope.analytics.set('uid', Player.get().id)
            }*/

        });


        //load
        Player.loadSave();
        Characters.loadSave();
        Battle.loadSave();

        var days = Math.floor(((new Date()) - Player.get().createdAt) / 86400000);
        days = days.toString();
        /*
        Parse.initialize("uzK6tijlEW0oJUopx90wLSHaFzDmsyVqjlMXZcI6", "OXs62nslhcpGNJAOh0tzqRLqAZZ5hiWLxoK7UfM5");

        //
        var days = Math.floor(((new Date()) - Player.get().createdAt) / 86400000);
        days = days.toString();

        Parse.Analytics.track('starting_app', {
                playerId: Player.get().id || 'new',
                howlong: days
            }
        );
        if (!Player.get().id) {
            Parse.Analytics.track('new_player', {})
        }
        //
        $rootScope.getTop = function () {
            var Character = Parse.Object.extend("Character");
            var query = new Parse.Query(Character);
            query.descending("level");
            query.limit(100);
            query.notEqualTo("banned", true);

            query.find({
                success: function (results) {
                    Player.get().topCharacters = results;
                }
            });
        };
        $rootScope.getTop();
        //save
        $interval(function () {
            Player.save();
            Characters.save();
            Battle.save();
        }, 5000);

        $rootScope.saveToServer = function () {
            var Players = Parse.Object.extend("Player");
            var player = new Players();
            var p = angular.copy(Player.get());
            player.save(p, {
                success: function (data) {
                    Player.get().id = data.id;
                    Characters.toServer(player)
                }
            });
        };
        $rootScope.saveToServer();
        $interval($rootScope.saveToServer, 20000, false);
        $interval($rootScope.getTop, 30000, true);
        */

        $interval(function () {
            Player.save();
            Characters.save();
            Battle.save();
        }, 5000);

        Player.newQuests();
        $interval(function () {
            Player.newQuests()
        }, 15000, false);

        $scope.Math = Math;

        $scope.player = Player.get();
        $scope.playerF = Player;

        $scope.characters = Characters.get();
        $scope.charactersF = Characters;

        $scope.items = Items.get();
        $scope.itemsF = Items;

        $scope.skillsF = Skills;

        $scope.monstersF = Monsters;

        $scope.battleF = Battle;
        $scope.dungeon = Dungeon;

        $scope.balance = Balance.get();
        $scope.utils = Utils;
        $scope.lang = Languages.get();
        if (!$scope.l) $scope.l = 'eng';

        $scope.scrollTop = function () {
            $ionicScrollDelegate.scrollTop(false);
        };

        $scope.accQuests = function () {
            if (!Player.get().quests) return;
            var r = 0;
            for (var i = 0; i < Player.get().quests.length; i++) {
                if (Player.isQuestAccomplished(i)) r++;
            }
            if (r == 0) return;
            return r;
        };

        var lid;
        $scope.createCharacter = function (name) {
            Player.addCharacter(
                lid = Characters.createCharacter(name, Player.get().id).id
            )
        };

        //Characters.addExp(Characters.getIdByOrder(0), 199000000);
        //Player.addGold(200000);
        $scope.$watch(function (scope) {
            var i = angular.copy(scope.player.items);
            for (var j = 0; j < i.length; j++) {
                i[j].num = 0;
            }
            return {
                c: scope.player.characters,
                i: i
            }
        }, function (newVal, oldVal) {
            if (newVal) Battle.resetCache();
        }, true);
        $scope.$watch(function (scope) {
            var c = angular.copy(scope.characters);
            Utils.objectEach(c, function (name) {
                c[name].exp = 0;
            });
            return c;
        }, function (newVal, oldVal) {
            if (newVal) Battle.resetCache();
        }, true);

        if (!Player.get().dungeonLvl) Dungeon.tryDungeon();

        //Player.get().dungeonTime -= 19400000
        //Player.addLegacy(1000000)
    }]);