app.factory('Languages', function () {
    var all;
    var Texts = {
        quests: {
            q_kill: {
                ru: 'Убить',
                eng: 'Kill'
            },
            q_lvl: {
                ru: 'Поднять уровень',
                eng: 'Level up'
            },
            q_heal: {
                ru: 'Вылечить героя',
                eng: 'Heal hero'
            },
            q_spend: {
                ru: 'Потратить золото',
                eng: 'Spend gold'
            },
            q_spend_c: {
                ru: 'Потратить кристаллы',
                eng: 'Spend crystals'
            }
        },
        interface: {
            dungeon_monster: {
                ru: 'Монстр подземелья',
                eng: 'Dungeon monster'
            },
            fight: {
                ru: 'Сразиться',
                eng: 'Fight'
            },
            reset_monster: {
                ru: 'Поменять',
                eng: 'Reroll monster'
            },
            current_level: {
                ru: 'Текущий уровень',
                eng: 'Current level'
            },
            m_before: {
                ru: 'Минут до открытия',
                eng: 'Minutes before opening'
            },
            take_reward: {
                ru: 'Взять награду',
                eng: 'Take reward'
            },
            next_reward: {
                ru: 'Следующая награда',
                eng: 'Next reward'
            },
            upgrade: {
                ru: 'Улучшить',
                eng: 'Upgrade'
            },
            legacy_points: {
                ru: 'очков наследия',
                eng: 'legacy points'
            },
            legacy_desc: {
                ru: 'Возвращает каждого персонажа на первый уровень в обмен на очки наследия.',
                eng: 'Return each character to first level in exchange for legacy points.'
            },
            rebirth: {
                ru: 'Перерождение',
                eng: 'Rebirth'
            },
            crypt: {
                ru: 'Гробница',
                eng: 'Crypt'
            },
            crypt_desc: {
                eng: 'Increases amount of stat points, gained for each hero level.',
                ru: 'Увеличивает количество очков характеристик, получаемых за каждый уровень героя. '
            },
            statue: {
                ru: 'Статуя',
                eng: 'Statue'
            },
            statue_desc: {
                eng: 'Increases gained experience.',
                ru: 'Увеличивает получаемый героями опыт. '
            },
            current_effect: {
                ru: 'Текущий эффект',
                eng: 'Current effect'
            },
            next_effect: {
                ru: 'Эффект следующего уровня',
                eng: 'Next level effect'
            },
            legacy: {
                ru: 'Наследие',
                eng: 'Legacy'
            },
            dungeon: {
                ru: 'Подземелье',
                eng: 'Dungeon'
            },
            sp: {
                ru: 'о.у.',
                eng: 's.p.'
            },
            gold: {
                ru: 'Золото',
                eng: 'Gold'
            },
            many_gold: {
                ru: 'золота',
                eng: 'gold'
            },
            cost: {
                ru: 'Цена',
                eng: 'Cost'
            },
            attack: {
                ru: 'Атака',
                eng: 'Attack'
            },
            defence: {
                ru: 'Защита',
                eng: 'Defence'
            },
            hp: {
                ru: 'ОЗ',
                eng: 'HP'
            },
            mp: {
                ru: 'ОМ',
                eng: 'MP'
            },
            xp: {
                ru: 'Опыт',
                eng: 'XP'
            },
            ba: {
                ru: 'БА',
                eng: 'BA'
            },
            ex: {
                ru: 'ЭКС',
                eng: 'EX'
            },
            el: {
                ru: 'ЭЛ',
                eng: 'EL'
            },
            ma: {
                ru: 'МА',
                eng: 'MA'
            },
            gm: {
                ru: 'ГМ',
                eng: 'GM'
            },
            battle: {
                ru: 'Битва',
                eng: 'Battle'
            },
            damage: {
                ru: 'Урон',
                eng: 'Damage'
            },
            attention: {
                ru: 'Внимание',
                eng: 'Attention'
            },
            battle_time: {
                ru: 'Время битвы',
                eng: 'Battle time'
            },
            kills: {
                ru: 'Убийства',
                eng: 'Kills'
            },
            booty: {
                ru: 'Добыча',
                eng: 'Booty'
            },
            exps: {
                ru: 'опыта',
                eng: 'xp'
            },
            hero_select: {
                ru: 'Выбор героя',
                eng: 'Hero select'
            },
            item_select: {
                ru: 'Выбор предмета',
                eng: 'Item select'
            },
            used: {
                ru: 'Используется',
                eng: 'Used'
            },
            equip: {
                ru: 'Надеть',
                eng: 'Equip'
            },
            unequip: {
                ru: 'Снять',
                eng: 'Unequip'
            },
            lvl_req: {
                ru: 'Требуемый уровень',
                eng: 'Required level'
            },
            char_creation: {
                ru: 'Создание персонажа',
                eng: 'Character creation'
            },
            name: {
                ru: 'Имя',
                eng: 'Name'
            },
            error12: {
                ru: 'Имя должно быть короче 12 символов',
                eng: 'Name must be less then 12 letters'
            },
            error3: {
                ru: 'Имя должно быть длиннее 3 символов',
                eng: 'Name must be more then 3 letters'
            },
            create: {
                ru: 'Создать',
                eng: 'Create'
            },
            cancel: {
                ru: 'Отмена',
                eng: 'Cancel'
            },
            free_skill_points: {
                ru: 'Свободные очки умений',
                eng: 'Free skill points'
            },
            two_more: {
                ru: 'Требуется два или более персонажа.',
                eng: 'Required two or more characters.'
            },
            req_55: {
                ru: 'Требуется персонаж 55+ уровня.',
                eng: 'Required character 55+ level.'
            },
            per_lvl: {
                ru: 'за ур.',
                eng: 'per lvl'
            },
            req_mana: {
                ru: 'Требует маны',
                eng: 'Required mana'
            },
            req_item: {
                ru: 'Требуемые предметы',
                eng: 'Required items'
            },
            learn: {
                ru: 'Изучить',
                eng: 'Learn'
            },
            max_lvl: {
                ru: 'Макс. уровень',
                eng: 'Max level'
            },
            active: {
                ru: 'Активные',
                eng: 'Active'
            },
            passive: {
                ru: 'Пассивные',
                eng: 'Passive'
            },
            group: {
                ru: 'Груповые',
                eng: 'Group'
            },
            ultimate: {
                ru: 'Ультимейт',
                eng: 'Ultimate'
            },
            level: {
                ru: 'уровень',
                eng: 'level'
            },
            skill_points: {
                ru: 'Очки умений',
                eng: 'Skill points'
            },
            stat_points: {
                ru: 'Очки характеристик',
                eng: 'Stat points'
            },
            max_hp: {
                ru: 'Макс. здоровье',
                eng: 'Max. health'
            },
            max_mp: {
                ru: 'Макс. мана',
                eng: 'Max. mana'
            },
            reset_all: {
                ru: 'Сбросить умения и хар-ки',
                eng: 'Reset skills and stats'
            },
            rew_win: {
                ru: 'Награда за победу',
                eng: 'Kill reward'
            },
            stop: {
                ru: 'Остановить',
                eng: 'Stop'
            },
            hunting: {
                ru: 'Охотиться',
                eng: 'Hunt'
            },
            in_progress: {
                ru: 'В процессе...',
                eng: 'In progress...'
            },
            sell: {
                ru: 'Продать',
                eng: 'Sell'
            },
            open: {
                ru: 'Открыть',
                eng: 'Open'
            },
            enchant: {
                ru: 'Зачаровать',
                eng: 'Enchant'
            },
            quest: {
                ru: 'Задание',
                eng: 'Quest'
            },
            reward: {
                ru: 'Награда',
                eng: 'Reward'
            },
            target: {
                ru: 'Цель',
                eng: 'Target'
            },
            progress: {
                ru: 'Прогресс',
                eng: 'Progress'
            },
            task: {
                ru: 'Задача',
                eng: 'Task'
            },
            take: {
                ru: 'Забрать',
                eng: 'Take'
            },
            h_before: {
                ru: 'Часов до обновления заданий:',
                eng: 'Hours to quests refresh:'
            },
            lvl: {
                ru: 'ур.',
                eng: 'lvl'
            },
            mine: {
                ru: 'Мой',
                eng: 'Mine'
            },
            top_server: {
                ru: 'Топ сервера',
                eng: 'Server top'
            },
            buy: {
                ru: 'Купить',
                eng: 'Buy'
            },
            free_crystal: {
                ru: 'Кристалл за просмотр рекламы',
                eng: 'Crystal for viewing ad'
            },
            free: {
                ru: 'бесплатно',
                eng: 'free'
            },
            many_crystals: {
                ru: 'кристаллов',
                eng: 'crystals'
            },
            heroes: {
                ru: 'Герои',
                eng: 'Heroes'
            },
            hunt: {
                ru: 'Охота',
                eng: 'Hunt'
            },
            quests: {
                ru: 'Задания',
                eng: 'Quests'
            },
            inventory: {
                ru: 'Инвентарь',
                eng: 'Inventory'
            },
            shop: {
                ru: 'Магазин',
                eng: 'Shop'
            },
            rating: {
                ru: 'Рейтинг',
                eng: 'Rating'
            },
            go_away: {
                ru: 'Уйти',
                eng: 'Return'
            }
        },
        effects: {
            turn_damage: {
                ru: 'Урон в секунду',
                eng: 'Damage per second'
            },
            taunt: {
                ru: "Провокация",
                eng: "Taunt"
            },
            gold_reward: {
                ru: "Добыча золота",
                eng: "Gold reward"
            },
            damage: {
                ru: "Урон",
                eng: 'Damage'
            },
            monster_defence: {
                ru: "Пробивание защиты",
                eng: "Defence ignoring"
            },
            all_attack: {
                ru: "Аура атаки",
                eng: "Attack aura"
            },
            heal: {
                ru: "Лечение",
                eng: "Heal"
            },
            all_hp: {
                ru: "Аура жизни",
                eng: "Health aura"
            },
            all_monster_attack: {
                ru: "Атака противника",
                eng: "Enemy attack"
            },
            life_steal: {
                ru: "Похищение жизни",
                eng: "Life steal"
            },
            all_defence: {
                ru: "Аура защиты",
                eng: "Defence aura"
            },
            max_dmg: {
                ru: "Макс. урон",
                eng: "Max damage"
            },
            magic_damage: {
                ru: "Магический урон",
                eng: "Magic damage"
            },
            return_damage: {
                ru: "Возвращение урона",
                eng: "Return damage"
            }
        },
        stats: {
            intellect: {
                ru: 'Интеллект',
                eng: 'Intellect'
            },
            wisdom: {
                ru: 'Мудрость',
                eng: 'Wisdom'
            },
            agility: {
                ru: 'Ловкость',
                eng: 'Agility'
            },
            vitality: {
                ru: 'Выносливость',
                eng: 'Vitality'
            }
        },
        skills: {
            spiked_armor: {
                ru: 'Колючая броня',
                eng: 'Spiked armor'
            },
            spiked_armor_desc: {
                ru: 'Противник, атакуя героя, получает урон.',
                eng: 'Enemy take damage when attack hero.'
            },
            roots: {
                ru: 'Корни',
                eng: 'Roots'
            },
            roots_desc: {
                ru: 'Опутывает цель, нанося ей урон в течении 7 секунд. Игнорирует защиту. Эффект складывается.',
                eng: 'Entangle target, dealing damage for 7 seconds. Ignore defence. Effect stacks.'
            },
            fireball: {
                ru: 'Огненный шар',
                eng: 'Fireball'
            },
            fireball_desc: {
                ru: 'Наносит магический урон, игнорирующий защиту цели. Урон пропорционален интелекту мага и уровню умения.',
                eng: 'Deals magic damage, ignoring target defence. Damage is proportional to intellect and skill level.'
            },
            spirit_strike: {
                ru: 'Удар Духа',
                eng: 'Spirit Strike'
            },
            spirit_strike_desc: {
                ru: 'Заряжает каждый удар магической энергией, которая увеличивает максимальный урон, наносимый по врагу.',
                eng: 'Charges every hit with magical energy, which increases the maximum damage.'
            },
            stealth: {
                ru: 'Скрытность',
                eng: 'Stealth'
            },
            stealth_desc: {
                ru: 'Во время сражения противник отдает больше предпочтения другим членам группы.' +
                ' Если в группе только один персонаж, умение бесполезно.',
                eng: 'During the battle, the enemy gives more preference to other members of the group. If only one character alive, the ability is useless.'
            },
            luck: {
                ru: 'Удача',
                eng: 'Luck'
            },
            luck_desc: {
                ru: 'Увеличивает добычу золота, получаемого с врагов. Требуется отмычка на каждого противника. ' +
                'Эффект не складывается.',
                eng: 'Increases gold income. Master key required for each enemy.'
            },
            light_armor: {
                ru: 'Порыв',
                eng: 'Haste'
            },
            light_armor_desc: {
                ru: 'Увеличивает атакующие способности героя в ущерб защите.',
                eng: 'Increases attacking abilities of the hero at the expense of protection'
            },
            poisoned_blade: {
                ru: 'Отравленный клинок',
                eng: 'Poisoned blade'
            },
            poisoned_blade_desc: {
                ru: 'Использование яда, для значительного увеличение урона.' +
                ' Требует покупки яда в магазине.',
                eng: 'Uses poison to a significant increase of damage.'
            },
            weak_spot: {
                ru: 'Меткость',
                eng: 'Accuracy'
            },
            weak_spot_desc: {
                ru: 'Персонаж использует уязвимые места врагов, тем самым игнорируя часть защиты.',
                eng: 'Character uses weak spots of enemies, thereby ignoring some of their protection.'
            },
            taunt: {
                ru: 'Провокатор',
                end: 'Taunt'
            },
            taunt_desc: {
                ru: 'Во время сражения персонаж получает больше внимания противника.' +
                ' Если в группе только один персонаж, умение бесполезно.',
                eng: 'During the battle, hero gets more attention. If only one character alive, the ability is useless.'
            },
            resurrection: {
                ru: 'Воскрешение',
                eng: 'Resurrection'
            },
            resurrection_desc: {
                ru: 'Во время битвы возвращает персонажа группы к жизни (с полным здоровьем). Нельзя использовать на себя.',
                eng: 'During the battle, returns member of the group to life (with full health). Can not be used on yourself.'
            },
            inspiration: {
                ru: 'Воодушевление',
                eng: 'Inspiration'
            },
            inspiration_desc: {
                ru: 'Увеличивает атакующие способности всей группы, включая самого себя.',
                eng: 'Increases attack ability of the group.'
            },
            shield_master: {
                ru: 'Мастер щита',
                eng: 'Shield master'
            },
            shield_master_desc: {
                ru: 'Использование в бою щита существенно увеличивает защиту при потере в атаке.',
                eng: 'Increases defence of the hero at the expense of attack abilities.'
            },
            heal: {
                ru: 'Лечение',
                eng: 'Heal'
            },
            heal_desc: {
                ru: 'Восстанавливает здоровье всей группы. ' +
                'Обьем лечение пропорционален интелекту лекаря и уровню умения.',
                eng: 'Restores the health of the group. Proportional to intellect and skill level.'
            },
            blessing_aura: {
                ru: 'Благословение',
                eng: 'Blessing'
            },
            blessing_aura_desc: {
                ru: 'Увеличивает защиту у всех членов группы, включая самого себя.',
                eng: 'Increases defence ability of the group.'
            },
            concentration: {
                ru: 'Концентрация',
                eng: 'Concentration'
            },
            concentration_desc: {
                ru: 'Значительно увеличивает максимальные запасы магической энергии за счет способностей в атаке и защите.',
                eng: 'Significantly increases the maximum amount of magical energy at the expense of attack and defense'
            },
            attack_debuff: {
                ru: 'Ослабление',
                eng: 'Weakening'
            },
            attack_debuff_desc: {
                ru: 'Уменьшает атакующие способности у врага. ' +
                'Требует шар проклятий на каждого противника.',
                eng: "Decreases the enemy's attack. Requires debuff orb on each enemy."
            },
            vampirism: {
                ru: 'Вампиризм',
                eng: 'Vampirism'
            },
            vampirism_desc: {
                ru: 'Герой восстанавливает свое здоровье от нанесенного им урона.',
                eng: 'Hero heal himself by dealing damage.'
            }
        },
        items: {
            exp_gold: {
                ru: 'Руна',
                eng: 'Rune'
            },
            exp_gold_desc: {
                ru: 'Увеличивает получаемый за победу опыт в 3 раз. Одноразовый.',
                eng: 'Increases experience gained from killing by 3 times. Disposable.'
            },
            exp_crystals: {
                ru: 'Древняя руна',
                eng: 'Ancient rune'
            },
            exp_crystals_desc: {
                ru: 'Увеличивает получаемый за победу опыт в 12 раз. Одноразовый.',
                eng: 'Increases experience gained from killing by 12 times. Disposable.'
            },
            wooden_staff: {
                ru: 'Деревянный посох',
                eng: 'Wooden staff'
            },
            short_sword: {
                ru: 'Короткий меч',
                eng: 'Short sword'
            },
            common_dagger: {
                ru: 'Обычный кинжал',
                eng: 'Common dagger'
            },
            long_sword: {
                ru: 'Длинный меч',
                eng: 'Long sword'
            },
            magic_staff: {
                ru: 'Магический посох',
                eng: 'Magic staff'
            },
            axe: {
                ru: 'Топор',
                eng: 'Axe'
            },
            bow: {
                ru: 'Лук',
                eng: 'Bow'
            },
            ex_rod: {
                ru: 'Жезл Тьмы',
                eng: 'Rod of Darkness'
            },
            ex_dagger: {
                ru: 'Боевой кинжал',
                eng: 'Battle dagger'
            },
            rapier: {
                ru: 'Рапира',
                eng: 'Rapier'
            },
            ex_bow: {
                ru: 'Длинный лук',
                eng: 'Long bow'
            },
            ex_staff: {
                ru: 'Посох Волшебника',
                eng: 'Wizard staff'
            },
            ex_sword: {
                ru: 'Огненный меч',
                eng: 'Fiery sword'
            },
            el_bow: {
                ru: 'Великий лук',
                eng: 'Great bow'
            },
            el_sword: {
                ru: 'Великий меч',
                eng: 'Great sword'
            },
            el_staff: {
                ru: 'Великий посох',
                eng: 'Great staff'
            },
            el_hammer: {
                ru: 'Молот гномов',
                eng: 'Dwarven Hammer'
            },
            el_dagger: {
                ru: 'Ритуальный кинжал',
                eng: 'Ritual dagger'
            },
            ma_bow: {
                ru: 'Теневой лук',
                eng: 'Shadow bow'
            },
            ma_staff: {
                ru: 'Теневой посох',
                eng: 'Shadow staff'
            },
            ma_sword: {
                ru: 'Теневой меч',
                eng: 'Shadow sword'
            },
            ma_axe: {
                ru: 'Теневая секира',
                eng: 'Shadow axe'
            },
            ma_rod: {
                ru: 'Теневой жезл',
                eng: 'Shadow rod'
            },
            ma_dagger: {
                ru: 'Теневой дагер',
                eng: 'Shadow dagger'
            },
            lather_armor: {
                ru: 'Кожаная броня',
                eng: 'Lather armor'
            },
            chain_armor: {
                ru: 'Кольчуга',
                eng: 'Chain armor'
            },
            robe: {
                ru: 'Роба',
                eng: 'Robe'
            },
            ranger: {
                ru: 'Доспех рейнджера',
                eng: 'Ranger armor'
            },
            m_cloak: {
                ru: 'Плащь магии',
                eng: 'Cloak of magic'
            },
            iron_plate: {
                ru: 'Железная броня',
                eng: 'Iron armor'
            },
            metal_plate: {
                ru: 'Металическая броня',
                eng: 'Metal armor'
            },
            light_plate: {
                ru: 'Облегченная броня',
                eng: 'Light plate armor'
            },
            w_cloak: {
                ru: 'Плащь мудрости',
                eng: 'Cloak of wisdom'
            },
            steel_armor: {
                ru: 'Стальная броня',
                eng: 'Steel armor'
            },
            dragon_armor: {
                ru: 'Драконий доспех',
                eng: 'Dragon armor'
            },
            wizard_clothes: {
                ru: 'Волшебная ряса',
                eng: 'Magic robe'
            },
            knight_armor: {
                ru: 'Доспех рыцаря',
                eng: 'Knight armor'
            },
            wizard_armor: {
                ru: 'Одеяние чародея',
                eng: 'Sorcerer rob'
            },
            frost_clothes: {
                ru: 'Накидка Льда',
                eng: 'Ice cloak'
            },
            el_armor: {
                ru: 'Гвардейская форма',
                eng: 'Guards uniform'
            },
            el_glad: {
                ru: 'Доспех Гладиатора',
                eng: 'Gladiator'
            },
            el_fire: {
                ru: 'Накидка Огня',
                eng: 'Fire cloak'
            },
            el_orc: {
                ru: 'Орчья броня',
                eng: 'Orc armor'
            },
            hp_potion: {
                ru: 'Зелье Жизни',
                eng: 'Health potion'
            },
            hp_potion_desc: {
                ru: 'Восстанавливает 100 очков жизни.',
                eng: "Restores 100 health points."
            },
            mp_potion: {
                ru: 'Зелье Маны',
                eng: 'Mana potion'
            },
            mp_potion_desc: {
                ru: 'Восстанавливает магическую энергию героя, когда она заканчивается.',
                eng: 'Fully restores magic energy of character.'
            },
            poison: {
                ru: 'Яд',
                eng: 'Poison'
            },
            poison_desc: {
                ru: 'Требуется для умения "Отравленный клинок"',
                eng: 'Required for "Poisoned blade" skill'
            },
            debuff_orb_desc: {
                ru: 'Требуется для умения "Ослабление"',
                eng: 'Required for "Weakening" skill'
            },
            debuff_orb: {
                ru: 'Шар проклятий',
                eng: 'Debuff orb'
            },
            enchant_ba: {
                ru: 'Книга зачарования',
                eng: 'Enchant book'
            },
            enchant_ba_desc: {
                ru: 'Используется для зачарования предметов базового уровня.',
                eng: 'Used to enchant basic items.'
            },
            enchant_ex: {
                ru: 'Книга зачарования',
                eng: 'Enchant book'
            },
            enchant_ex_desc: {
                ru: 'Используется для зачарования предметов экспертного уровня.',
                eng: 'Used to enchant expert items.'
            },
            enchant_el: {
                ru: 'Книга зачарования',
                eng: 'Enchant book'
            },
            enchant_el_desc: {
                ru: 'Используется для зачарования предметов элитного уровня.',
                eng: 'Used to enchant elite items.'
            },
            enchant_ma: {
                ru: 'Книга зачарования',
                eng: 'Enchant book'
            },
            enchant_ma_desc: {
                ru: 'Используется для зачарования предметов мастер уровня.',
                eng: 'Used to enchant master items.'
            },
            enchant_random: {
                ru: 'Магический сундук',
                eng: 'Magic chest'
            },
            enchant_random_desc: {
                ru: 'Открыв, можно получить свиток  зачарования базового, экспертного, элитного или мастер уровня случайным образом.',
                eng: 'Contain basic, expert, elite or master enchant scroll at random.'
            },
            key: {
                ru: 'Отмычка',
                eng: 'Master key'
            },
            key_desc: {
                ru: 'Требуется для умения "Удача"',
                eng: 'Required for "Luck" skill'
            }
        },
        monsters: {
            chickens: {
                ru: 'Курицы',
                eng: 'Chickens'
            },
            boars: {
                ru: 'Кабаны',
                eng: 'Boars'
            },
            wolves: {
                ru: 'Волки',
                eng: 'Wolves'
            },
            bears: {
                ru: 'Медведи',
                eng: 'Bears'
            },
            goblins: {
                ru: 'Гоблины',
                eng: 'Goblins'
            },
            rogues: {
                ru: 'Разбойники',
                eng: 'Rogues'
            },
            hogor: {
                ru: 'Дикие шаманы',
                eng: 'Wild shamans'
            },
            rats: {
                ru: 'Крысолюди',
                eng: 'Ratman'
            },
            orcs: {
                ru: 'Орки',
                eng: 'Orcs'
            },
            harpies: {
                ru: 'Гарпии',
                eng: 'Harpies'
            },
            lich: {
                ru: 'Отверженные маги',
                eng: 'Outcast magicians'
            },
            trolls: {
                ru: 'Тролли',
                eng: 'Trolls'
            },
            dragons_a: {
                ru: 'Драконы',
                eng: 'Dragons'
            },
            naga: {
                ru: 'Воин Наг',
                eng: 'Naga warrior'
            },
            prew: {
                ru: 'Стражы Пустошь',
                eng: 'Badlands Guardians'
            },
            lord: {
                ru: 'Лорды Зла',
                eng: 'Lords of Evil'
            },
            keeper: {
                ru: 'Хранители Тайн',
                eng: 'Keepers of Secrets'
            },
            dragons_b: {
                ru: 'Изумрудные драконы',
                eng: 'Emerald dragons'
            },
            pain_knight: {
                ru: 'Рыцари Боли',
                eng: 'Knights of Pain'
            },
            chaos: {
                ru: 'Вестники Хаоса',
                eng: 'Ambassadors of Chaos'
            },
            hound: {
                ru: 'Гончие',
                eng: 'Hounds'
            },
            undead: {
                ru: 'Нежить',
                eng: 'Undead'
            },
            necromancer: {
                ru: 'Некроманты',
                eng: 'Necromancers'
            },
            ents: {
                ru: 'Энты',
                eng: 'Ents'
            },
            dragon_c: {
                ru: 'Черные драконы',
                eng: 'Black dragons'
            },
            devil_a: {
                ru: 'Демоны',
                eng: 'Demons'
            }
        }
    };
    return {
        get: function () {
            if (!all) {
                all = {};
                angular.extend(all,
                    Texts.quests,
                    Texts.skills,
                    Texts.items,
                    Texts.stats,
                    Texts.interface,
                    Texts.monsters,
                    Texts.effects);
            }
            return all
        }
    }
});